[Security Announce] [ MDKSA-2006:106 ] - Updated mdkkdm packages fix local vulnerability
Posted on: 06/16/2006 03:12 AM

The Mandriva Security Team published a new security update for Mandriva Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

_______________________________________________________________________

Mandriva Linux Security Advisory MDKSA-2006:106
http://www.mandriva.com/security/
_______________________________________________________________________

Package : mdkkdm
Date : June 15, 2006
Affected: Corporate 3.0
_______________________________________________________________________

Problem Description:

A problem with how kdm manages the ~/.dmrc file was discovered by
Ludwig Nussel. By using a symlink attack, a local user could get kdm
to read arbitrary files on the system, including privileged system
files and those belonging to other users.

Mandriva's mdkkdm also suffers from this same problem and has been
patched to correct it. Only Corporate 3 is affected; in Mandriva Linux
2006, mdkkdm is in contribs.
_______________________________________________________________________

References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2449
_______________________________________________________________________

Updated Packages:

Corporate 3.0:
dd234f9831a30157879e25b29a14cf2f corporate/3.0/RPMS/mdkkdm-9.2-22.1.C30mdk.i586.rpm
043b4a58f3a101482a21afe8ca5d162b corporate/3.0/SRPMS/mdkkdm-9.2-22.1.C30mdk.src.rpm

Corporate 3.0/X86_64:
d1350d31ceb08dc68b1184469d23fea5 x86_64/corporate/3.0/RPMS/mdkkdm-9.2-22.1.C30mdk.x86_64.rpm
043b4a58f3a101482a21afe8ca5d162b x86_64/corporate/3.0/SRPMS/mdkkdm-9.2-22.1.C30mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrivaUpdate or urpmi. The verification
of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandriva for security. You can obtain the
GPG public key of the Mandriva Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandriva Linux at:

http://www.mandriva.com/security/advisories

If you want to report vulnerabilities, please contact

security_(at)_mandriva.com
_______________________________________________________________________

Type Bits/KeyID Date User ID
pub 1024D/22458A98 2000-07-10 Mandriva Security Team
lt;security*mandriva.comgt;
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEkcuvmqjQ0CJFipgRAhSEAJ0eeFGqcgfB2YzBwE31V158wx//dQCfYpoG
fM8uDiCEkZpXVDvghnJEd10=
=qk90
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/security_announce_mdksa_2006106__updated_mdkkdm_packages_fix_local_vulnerability.html)